<?php 

declare(strict_types =1);

namespace MyApp\Entity;

class Etablissement{
    private ?int $id = null; // vide tant qu'il n'a pas récup de valeur de la BDD
    private string $num_telephone;
    private string $mail;
    private string $adresse;
    private string $rib;

    public function __construct(?int $id, string $num_telephone, string $mail, string $adresse, string $rib){
        $this->id = $id;
        $this->num_telephone = $num_telephone ?? '';
        $this->mail = $mail;
        $this->adresse = $adresse;
        $this->rib = $rib;

    }

    // get pour récuperer des données dans la BDD
    public function getId():?int{
        return $this->id;
    }
    public function setId(?int $id):void{
        $this->id = $id;
    }

    public function getNum_telephone():string{
        return $this->num_telephone;
    }
    public function setNum_telephone(string $num_telephone):void{
        $this->num_telephone = $num_telephone;
    }

    public function getMail():string{
        return $this->mail;
    }
    public function setMail(string $mail):void{
        $this->mail = $mail;
    }

    public function getAdresse():string{
        return $this->adresse;
    }
    public function setAdresse(string $adresse):void{
        $this->adresse = $adresse;
    }

    public function getRib():string{
        return $this->rib;
    }
    public function setRib(string $rib):void{
        $this->rib = $rib;
    }

}
